package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 用户登录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-23
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvLoginLogDao;
import com.heyu.api.data.entity.vv.VvLoginLogEntity;
import com.heyu.api.data.service.vv.VvLoginLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvLoginLogServiceImpl extends ServiceImpl<VvLoginLogDao, VvLoginLogEntity> implements VvLoginLogService {


    @Autowired
	private VvLoginLogDao vvLoginLogDao;



	@Override
	public VvLoginLogEntity selectVvLoginLogById(Long id){
		return vvLoginLogDao.selectVvLoginLogById(id);
	}



	@Override
	public Long insertVvLoginLog(VvLoginLogEntity vvLoginLog){
		return vvLoginLogDao.insertVvLoginLog(vvLoginLog);
	}



	@Override
	public Long insertOrUpdateVvLoginLog(VvLoginLogEntity vvLoginLog){
		return vvLoginLogDao.insertOrUpdateVvLoginLog(vvLoginLog);
	}



	@Override
	public int updateVvLoginLogById(VvLoginLogEntity vvLoginLog){
		return vvLoginLogDao.updateVvLoginLogById(vvLoginLog);
	}



	@Override
	public int updateCoverVvLoginLogById(VvLoginLogEntity vvLoginLog){
		return vvLoginLogDao.updateCoverVvLoginLogById(vvLoginLog);
	}



	@Override
	public int deleteVvLoginLogById(Long id){
		return vvLoginLogDao.deleteVvLoginLogById(id);
	}



}
